archlinux, Sublime Text 2 и libpng12

Возникла проблема при установке Sublime на работе.
Требовалась библиотека libpng12, а в системе archlinux была установлена 14 версия библиотеки. Коллега подсказал, как данную ситуацию можно исправить.

Три шага и проблема решена:
1. Качаем библиотеку
2. Распаковываем и устанавливаем через make.
3. Создаем символическую ссылку: ln -s /usr/local/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0

Наслаждаемся Sublime.

archlinux, Sublime Text 2 и libpng12: 3 комментария

      1. Какие, если не секрет, у тебя стоят патчи для шрифтов, версия сублиме и собственно libpng? у меня libpng15, sublime 2.0.1.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *